Miracle Docs
Users

Get user by ID

GET
/v1/users/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://api.miracle.com/v1/users/string"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "externalIdpId": "string",
    "email": "user@example.com",
    "displayName": "string",
    "status": "pending_invitation",
    "layer": "merchant",
    "entityScope": {
      "type": "all"
    },
    "mfaEnabled": true,
    "lastLoginAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e"
  }
}
Empty

On this page